/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TgeneprocessdescPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "PROCESSCODE")
    private String processcode;
    @Basic(optional = false)
    @Column(name = "CATALOGTYPEPROCESS")
    private String catalogtypeprocess;
    @Basic(optional = false)
    @Column(name = "CATALOGCODETYPEPROCESS")
    private String catalogcodetypeprocess;
    @Basic(optional = false)
    @Column(name = "LANGUAGECODE")
    private String languagecode;

    public TgeneprocessdescPK() {
    }

    public TgeneprocessdescPK(String processcode, String catalogtypeprocess, String catalogcodetypeprocess, String languagecode) {
        this.processcode = processcode;
        this.catalogtypeprocess = catalogtypeprocess;
        this.catalogcodetypeprocess = catalogcodetypeprocess;
        this.languagecode = languagecode;
    }

    public String getProcesscode() {
        return processcode;
    }

    public void setProcesscode(String processcode) {
        this.processcode = processcode;
    }

    public String getCatalogtypeprocess() {
        return catalogtypeprocess;
    }

    public void setCatalogtypeprocess(String catalogtypeprocess) {
        this.catalogtypeprocess = catalogtypeprocess;
    }

    public String getCatalogcodetypeprocess() {
        return catalogcodetypeprocess;
    }

    public void setCatalogcodetypeprocess(String catalogcodetypeprocess) {
        this.catalogcodetypeprocess = catalogcodetypeprocess;
    }

    public String getLanguagecode() {
        return languagecode;
    }

    public void setLanguagecode(String languagecode) {
        this.languagecode = languagecode;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (processcode != null ? processcode.hashCode() : 0);
        hash += (catalogtypeprocess != null ? catalogtypeprocess.hashCode() : 0);
        hash += (catalogcodetypeprocess != null ? catalogcodetypeprocess.hashCode() : 0);
        hash += (languagecode != null ? languagecode.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TgeneprocessdescPK)) {
            return false;
        }
        TgeneprocessdescPK other = (TgeneprocessdescPK) object;
        if ((this.processcode == null && other.processcode != null) || (this.processcode != null && !this.processcode.equals(other.processcode))) {
            return false;
        }
        if ((this.catalogtypeprocess == null && other.catalogtypeprocess != null) || (this.catalogtypeprocess != null && !this.catalogtypeprocess.equals(other.catalogtypeprocess))) {
            return false;
        }
        if ((this.catalogcodetypeprocess == null && other.catalogcodetypeprocess != null) || (this.catalogcodetypeprocess != null && !this.catalogcodetypeprocess.equals(other.catalogcodetypeprocess))) {
            return false;
        }
        if ((this.languagecode == null && other.languagecode != null) || (this.languagecode != null && !this.languagecode.equals(other.languagecode))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TgeneprocessdescPK[ processcode=" + processcode + ", catalogtypeprocess=" + catalogtypeprocess + ", catalogcodetypeprocess=" + catalogcodetypeprocess + ", languagecode=" + languagecode + " ]";
    }
    
}
